unit MainUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Buttons, StdCtrls, ComCtrls, ExtCtrls, oinspect,
  Grids;

type
  TMainForm = class(TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    Button1: TButton;
    Label1: TLabel;
    CheckBox1: TCheckBox;
    RadioButton1: TRadioButton;
    ListBox1: TListBox;
    ComboBox1: TComboBox;
    ScrollBar1: TScrollBar;
    GroupBox1: TGroupBox;
    RadioButton2: TRadioButton;
    SpeedButton1: TSpeedButton;
    Panel1: TPanel;
    Panel2: TPanel;
    Splitter1: TSplitter;
    SelBox: TListBox;
    Button3: TButton;
    RadioGroup1: TRadioGroup;
    RadioDelphi: TRadioButton;
    RadioVB: TRadioButton;
    PageControl2: TPageControl;
    Properties: TTabSheet;
    Events: TTabSheet;
    PropertyList: TObjectInspector;
    EventList: TObjectInspector;
    Edit1: TEdit;
    procedure ButtonSetClick(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.ButtonSetClick(Sender: TObject);
var i : integer;
    clist : TList;
begin
  PropertyList.BeginUpdate;
  EventList.BeginUpdate;
  PropertyList.CurrentControl := nil;
  EventList.CurrentControl := nil;
  clist := TList.Create;
  with SelBox do
  for i := 0 to SelBox.Items.Count - 1 do
  if Selected[i] then
    clist.Add(TControl(Items.Objects[I]));

  PropertyList.AddControls(clist);
  EventList.AddControls(clist);
  clist.Free;
  PropertyList.EndUpdate;
  EventList.EndUpdate;
end;

procedure TMainForm.Button3Click(Sender: TObject);
begin
  PropertyList.CurrentControl := nil;
  EventList.CurrentControl := nil;
end;

procedure TMainForm.FormActivate(Sender: TObject);
begin
  PropertyList.CurrentControl := nil;
  EventList.CurrentControl := nil;
end;

procedure TMainForm.RadioGroup1Click(Sender: TObject);
begin
  if RadioDelphi.Checked then
    begin
      PropertyList.GridStyle := gsBorland;
      EventList.GridStyle := gsBorland
    end
  else
    begin
      PropertyList.GridStyle := gsMicrosoft;
      EventList.GridStyle := gsMicrosoft;
    end;
end;

procedure TMainForm.FormCreate(Sender: TObject);
var i : integer;
begin
  for i := 0 to TabSheet2.ControlCount - 1 do
   SelBox.Items.AddObject(TabSheet2.Controls[i].ClassName, TabSheet2.Controls[i]);
  PageControl1.ActivePage := TabSheet1; 
end;

end.
